import {select, arc} from 'd3';

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width'); 
const eyeSpacing = 100; 
const eyeYOffset = -70; 
const eyeRadius = 40; 
const eyebrowWidth = 80; 
const eyebrowHeight = 15; 

const g = svg.append('g')
	.attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g.append('circle')
  .attr('r', height / 2)
  .attr('fill', 'yellow')
  .attr('stroke', 'black');

const eyesGroup = g.append('g')
	.attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesGroup.append('circle')
  .attr('r', eyeRadius)
  .attr('cx', - eyeSpacing);

const rightEye = eyesGroup.append('circle')
  .attr('r', eyeRadius)
  .attr('cx', + eyeSpacing);

const leftEyebrow = eyesGroup.append('rect')
	.attr('x', -eyeSpacing -eyebrowWidth / 2)
	.attr('y', -70)
	.attr('width', eyebrowWidth)
	.attr('height', eyebrowHeight)
  .transition().duration(600)
      .attr('y', -90)
  .transition().duration(600)
      .attr('y', -70);

const rightEyebrow = eyesGroup.append('rect')
	.attr('x', +eyeSpacing -eyebrowWidth / 2)
	.attr('y', -70)
	.attr('width', eyebrowWidth)
	.attr('height', eyebrowHeight)
	.transition().duration(600)
		.attr('y', -90)
	.transition().duration(600)
		.attr('y', -70);

const mouth = g.append('path')
.attr('d', arc()({
  innerRadius: 150, 
  outerRadius: 170, 
  startAngle:  Math.PI / 2, 
  endAngle: Math.PI * 3 / 2
}))





